- [HTTP request](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get#try-it)

Get a single identifyable data point.

### HTTP request

`GET https://health.googleapis.com/v4beta/{name=users/*/dataTypes/*/dataPoints/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4beta/errors)

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the data point to retrieve. Format: `users/{user}/dataTypes/{dataType}/dataPoints/{dataPoint}` See `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints#DataPoint.FIELDS.name` for examples and possible values. It takes the form `users/{user}/dataTypes/{datatype}/dataPoints/{datapoint}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints#DataPoint`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/googlehealth.activity_and_fitness.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.location.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.nutrition.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.sleep.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.reproductive_health.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.logged_symptoms.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.mindfulness.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.ecg.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.irn.readonly`
- `
  https://www.googleapis.com/auth/googlehealth.activity_and_fitness.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.nutrition.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.sleep.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.reproductive_health.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.logged_symptoms.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.mindfulness.writeonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).